com.creamtec.ajaxswing.gui.peer

## Class AjaxSwingContainerPeer

- java.lang.Object
- - com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer
  - - com.creamtec.ajaxswing.gui.peer.AjaxSwingContainerPeer

- All Implemented Interfaces:
    java.awt.peer.ComponentPeer, java.awt.peer.ContainerPeer
  Direct Known Subclasses:
    AjaxSwingPanelPeer, AjaxSwingScrollPanePeer, AjaxSwingWindowPeer

      public class AjaxSwingContainerPeer
      extends AjaxSwingComponentPeer
      implements java.awt.peer.ContainerPeer

- - ### Field Summary

    - ### Fields inherited from interface java.awt.peer.ComponentPeer

      `DEFAULT_OPERATION, NO_EMBEDDED_CHECK, RESET_OPERATION, SET_BOUNDS, SET_CLIENT_SIZE, SET_LOCATION, SET_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingContainerPeer(java.awt.Container c)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginLayout()`
    `void` | `beginValidate()`
    `void` | `cancelPendingPaint(int i, int j, int k, int l)`
    `void` | `endLayout()`
    `void` | `endValidate()`
    `java.awt.Insets` | `getInsets()`
    `java.awt.Insets` | `insets()`
    `boolean` | `isPaintPending()`
    `boolean` | `isRestackSupported()`
    `void` | `restack()`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createDelegate, createImage, createImage, createVolatileImage, destroyBuffers, disable, dispose, enable, flip, flip, getAppropriateGraphicsConfiguration, getBackBuffer, getBounds, getColorModel, getDelegate, getDelegateComponent, getFontMetrics, getGraphics, getGraphicsConfiguration, getImage, getLocationOnScreen, getMinimumSize, getPreferredSize, getTarget, getToolkit, handleEvent, handlesWheelScrolling, hide, isFocusable, isFocusTraversable, isObscured, isReparentSupported, layout, minimumSize, paint, preferredSize, prepareImage, print, repaint, reparent, requestFocus, requestFocus, requestFocus, reshape, setBackground, setBounds, setBounds, setBounds, setCursor, setDelegate, setDelegateComponent, setEnabled, setFont, setForeground, setTarget, setVisible, setZOrder, show, updateCursorImmediately, updateGraphicsData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.peer.ComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createImage, createImage, createVolatileImage, destroyBuffers, dispose, flip, getBackBuffer, getColorModel, getFontMetrics, getGraphics, getGraphicsConfiguration, getLocationOnScreen, getMinimumSize, getPreferredSize, getToolkit, handleEvent, handlesWheelScrolling, isFocusable, isObscured, isReparentSupported, layout, paint, prepareImage, print, reparent, requestFocus, setBackground, setBounds, setEnabled, setFont, setForeground, setVisible, setZOrder, updateCursorImmediately, updateGraphicsData`

- - ### Constructor Detail

    - #### AjaxSwingContainerPeer

          public AjaxSwingContainerPeer(java.awt.Container c)

  - ### Method Detail

    - #### getInsets

          public java.awt.Insets getInsets()

      Specified by:
        `getInsets` in interface `java.awt.peer.ContainerPeer`

    - #### beginValidate

          public void beginValidate()

      Specified by:
        `beginValidate` in interface `java.awt.peer.ContainerPeer`

    - #### endValidate

          public void endValidate()

      Specified by:
        `endValidate` in interface `java.awt.peer.ContainerPeer`

    - #### insets

          public java.awt.Insets insets()

    - #### beginLayout

          public void beginLayout()

      Specified by:
        `beginLayout` in interface `java.awt.peer.ContainerPeer`

    - #### endLayout

          public void endLayout()

      Specified by:
        `endLayout` in interface `java.awt.peer.ContainerPeer`

    - #### isPaintPending

          public boolean isPaintPending()

    - #### restack

          public void restack()

    - #### isRestackSupported

          public boolean isRestackSupported()

    - #### cancelPendingPaint

          public void cancelPendingPaint(int i,
                                int j,
                                int k,
                                int l)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.